SND_CARD_FILE_ADD(9)

NAME
snd_card_file_add - add the file to the file list of the card

SYNOPSIS

int snd_card_file_add (struct snd_card * card, struct file * file);

ARGUMENTS

card
    soundcard structure

file
    file pointer

DESCRIPTION

This function adds the file to the file linked-list of the card. This linked-list is used to keep tracking the connection state, and to avoid the release of busy resources by hotplug.

Returns zero or a negative error code.